#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream fi("DEMDUONG.INP");
	int n;
	fi>>n;
	int a[n];
	int dem=0, sum=0;
	for(int i=0; i<=n-1; i++)
	{
		fi>>a[i];
		if(a[i]>0)
			{
			dem++;
			sum=sum+a[i];
			}
	}
	fi.close();
	ofstream fo("DEMDUONG.OUT");
	fo<<dem<<' '<<sum;
	fo.close();
}
